LoggingOutput (Gradle API 5.1.1)
Date: 2019-01-11

Package org.gradle.api.logging

## Interface LoggingOutput

- All Known Subinterfaces:
    `LoggingManager`

      public interface LoggingOutput

  Provides access to the output of the Gradle logging system.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addStandardErrorListener​(StandardOutputListener listener)` | Adds a listener which receives output written to standard error by the Gradle logging system.
    `void` | `addStandardOutputListener​(StandardOutputListener listener)` | Adds a listener which receives output written to standard output by the Gradle logging system.
    `void` | `removeStandardErrorListener​(StandardOutputListener listener)` | Removes a listener from standard error.
    `void` | `removeStandardOutputListener​(StandardOutputListener listener)` | Removes a listener from standard output.

- - ### Method Detail

    - #### addStandardOutputListener

          void addStandardOutputListener​(StandardOutputListener listener)

      Adds a listener which receives output written to standard output by the Gradle logging system.
      Parameters:
        `listener` - The listener to add.

    - #### removeStandardOutputListener

          void removeStandardOutputListener​(StandardOutputListener listener)

      Removes a listener from standard output.
      Parameters:
        `listener` - The listener to remove.

    - #### addStandardErrorListener

          void addStandardErrorListener​(StandardOutputListener listener)

      Adds a listener which receives output written to standard error by the Gradle logging system.
      Parameters:
        `listener` - The listener to add.

    - #### removeStandardErrorListener

          void removeStandardErrorListener​(StandardOutputListener listener)

      Removes a listener from standard error.
      Parameters:
        `listener` - The listener to remove.